Create a new consignment tracking

Path Parameters
  • consignmentId
    Type: string Format: uuid
    required
Body·
application/json
  • carrierName
    Type: string | null
  • eventUtc
    Type: string | null Format: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • status
    Type: integer · enum

    Integer numbers.

    values
    • Unknown = 0
    • Printed = 1
    • Dispatched = 2
    • InTransit = 3
    • OutForDelivery = 4
  • trackingNumber
    Type: string | null
  • trackingUrl
    Type: string | null
Responses
  • application/json
Request Example for post/v1/consignments/{consignmentId}/tracking
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/tracking \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "carrierName": null,
  "status": "enum (Unknown = 0, Printed = 1, Dispatched = 2, InTransit = 3, OutForDelivery = 4, Delivered = 5, PickupInStore = 6, AttemptedDelivery = 7, Exception = 8, AwaitingCollection = 9, Cancelled = 10, Manifested = 11, Booked = 12)",
  "trackingUrl": null,
  "trackingNumber": null,
  "eventUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)"
}'
{
  "consignmentTrackingId": "00000000-0000-0000-0000-000000000000"
}